## xmem 1.20-4.1

=== Makefile ===
xmem: xmem.o get_mem.o MemStripChart.o
	gcc -o xmem xmem.o get_mem.o MemStripChart.o -L/usr/X11R6/lib -lX11 -lXt -lXaw -lproc 

xmem.o: xmem.c
	gcc -c xmem.c

get_mem.o: get_mem.c
	gcc -c get_mem.c

MemStripChart.o: MemStripChart.c
	gcc -c MemStripChart.c

clean:
	-rm xmem *.o

install: xmem
	cp xmem $(DESTDIR)/usr/X11R6/bin/
	cp XMem.ad $(DESTDIR)/usr/X11R6/lib/X11/app-defaults/XMem

=== debian/changelog ===
xmem (1.20-4.1) frozen unstable; urgency=low

  * Fixed dependency information. (Closes: #58025, #58416)

 -- Randolph Chung <tausq@debian.org>  Sat, 19 Feb 2000 23:39:33 -0700

xmem (1.20-4) unstable; urgency=low

  * Changed get_mem.c to new libproc calls.
  * Fixed menu format.

 -- David N. Welton <davidw@prosa.it>  Sat, 13 Nov 1999 14:52:18 -0800

xmem (1.20-3) unstable; urgency=low

  * Fixes procps dependency.

 -- David N. Welton <davidw@efn.org>  Tue, 14 Sep 1999 02:37:43 -0700

xmem (1.20-2) unstable; urgency=low

  * Fixes #42048.  Xmem now includes a docs directory.

 -- David N. Welton <davidw@efn.org>  Thu, 29 Jul 1999 23:01:28 -0700

xmem (1.20-1) unstable; urgency=low

  * New release using hacked 'bo' sources.

 -- David N. Welton <davidw@efn.org>  Sun, 25 Apr 1999 12:57:48 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: xmem
Section: x11
Priority: optional
Maintainer: David N. Welton <davidw@efn.org>
Build-Depends: libproc-dev
Standards-Version: 2.5.0

Package: xmem
Architecture: any
Depends: ${shlibs:Depends}, libproc-dev
Description: Visual indicator of amount of memory/swap usage
 The xmem program, which gives a visual representation of memory usage.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=xmem

build:
	$(checkdir)
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	dh_installdirs
	dh_installmenu
	dh_installdocs
	dh_installchangelogs
	dh_installmanpages
	dh_movefiles
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## xmem 1.20-14

=== Makefile ===
--- 
+++ 
@@ -15,4 +15,4 @@
 
 install: xmem
 	cp xmem $(DESTDIR)/usr/X11R6/bin/
-	cp XMem.ad $(DESTDIR)/usr/X11R6/lib/X11/app-defaults/XMem
+	cp XMem.ad $(DESTDIR)/etc/X11/app-defaults/XMem

=== debian/changelog ===
xmem (1.20-14) unstable; urgency=low

  * Added newline to conffiles... bleagh. (closes: #132546)

 -- David N. Welton <davidw@debian.org>  Wed,  6 Feb 2002 10:42:11 +0100

xmem (1.20-13) unstable; urgency=low

  * Added XMem as conffile in app-defaults (closes: #132159).

 -- David N. Welton <davidw@debian.org>  Mon,  4 Feb 2002 14:18:19 +0100

xmem (1.20-12) unstable; urgency=low

  * Fixed spelling bug, caught by Matt Zimmerman.
  *  (closes: #125553)

 -- David N. Welton <davidw@debian.org>  Tue, 18 Dec 2001 20:18:52 +0100

xmem (1.20-11) unstable; urgency=low

  * Added build depends for libxaw7-dev and xlibs-dev. (closes: #110971)

 -- David N. Welton <davidw@debian.org>  Sun,  2 Sep 2001 18:16:33 +0200

xmem (1.20-10) unstable; urgency=low

  * Updated standards version (closes: #69962)

 -- David N. Welton <davidw@debian.org>  Thu, 30 Aug 2001 11:47:23 +0200

xmem (1.20-9) unstable; urgency=low

  * Change to use /etc/X11/app-defaults/ directory.

  * Closes #86316.

 -- David N. Welton <davidw@debian.org>  Sun, 25 Feb 2001 20:02:03 +0100

xmem (1.20-8) unstable; urgency=low

  * Changed maintainer address.

 -- David N. Welton <davidw@debian.org>  Tue,  7 Nov 2000 13:18:41 +0100

xmem (1.20-7) unstable; urgency=low

  * Changed maintainer address.

  * Added Build-Depends.

 -- David N. Welton <davidw@linuxcare.com>  Thu,  7 Sep 2000 21:36:42 +0200

xmem (1.20-6) unstable; urgency=low

  * Updated package.

  * Closes #44313, this is a 'native' package because the only 'upstream'
    sources that I could find were an old Debian source package.

  * Closes #58025, recompiled xmem, so it is now linked against the right
    libraries.

  * Closes #58416, as far as I can tell, the package builds from source.

 -- David N. Welton <davidw@linuxcare.com>  Thu,  7 Sep 2000 19:48:46 +0200

xmem (1.20-5) unstable; urgency=low

  * Fixes #58025.  Xmem depends on procps.

 -- David N. Welton <davidw@efn.org>  Sun, 13 Feb 2000 19:24:50 -0800

=== debian/control ===
Source: xmem
Build-Depends: debhelper, libproc-dev, xlibs-dev, libxaw7-dev
Section: x11
Priority: optional
Maintainer: David N. Welton <davidw@debian.org>
Standards-Version: 3.5.6.0

Package: xmem
Architecture: any
Depends: ${shlibs:Depends}, procps
Description: Visual indicator of amount of memory/swap usage
 The xmem program, which gives a visual representation of memory usage.

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,6 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_shlibdeps
 	dh_gencontrol
 	dh_makeshlibs

## xmem 1.20-19

=== debian/changelog ===
xmem (1.20-19) unstable; urgency=low

  * Linked against latest libproc. (Closes: #203169).

 -- David N. Welton <davidw@debian.org>  Fri,  7 Nov 2003 12:15:36 +0100

xmem (1.20-18) unstable; urgency=low

  * Linked against latest libproc. (closes: #197305)

 -- David N. Welton <davidw@debian.org>  Sat, 26 Jul 2003 13:01:27 +0200

xmem (1.20-17) unstable; urgency=low

  * Recompiled with new libproc.so.

 -- David N. Welton <davidw@debian.org>  Sun, 11 May 2003 09:43:06 +0200

xmem (1.20-16) unstable; urgency=low

  * Recompiled with more recent libraries. (closes: #179515)

 -- David N. Welton <davidw@debian.org>  Thu, 20 Mar 2003 21:14:56 -0800

xmem (1.20-15) unstable; urgency=low

  * Recompiled for new libproc-dev. (closes: #166534).

 -- David N. Welton <davidw@debian.org>  Fri, 22 Nov 2002 13:50:09 -0800

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,6 @@
 
 Package: xmem
 Architecture: any
-Depends: ${shlibs:Depends}, procps
+Depends: ${shlibs:Depends}
 Description: Visual indicator of amount of memory/swap usage
  The xmem program, which gives a visual representation of memory usage.

## xmem 1.20-20ubuntu2

=== debian/changelog ===
xmem (1.20-20ubuntu2) dapper; urgency=low

  * debian/patches/xmem-1.20-makefile.diff
    + Added patch to install in /usr/bin. (Closes: Malone #32416)

 -- Chuck Short <zulcss@gmail.com>  Fri, 21 Apr 2006 17:03:17 -0400

xmem (1.20-20ubuntu1) dapper; urgency=low

  * Build-Depends: libxaw7-dev

 -- LaMont Jones <lamont@ubuntu.com>  Thu,  2 Feb 2006 22:44:36 -0700

xmem (1.20-20) unstable; urgency=low

  * Orphaning package - I don't use it anymore.
  * xmem: FTBFS: build-depends on removed xlibs-dev

 -- David N. Welton <davidw@debian.org>  Mon, 16 Jan 2006 22:58:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: xmem
-Build-Depends: debhelper, libproc-dev, xlibs-dev, libxaw7-dev
+Build-Depends: debhelper, libproc-dev, libxmu-dev, libxt-dev, x-dev, libxaw7-dev
 Section: x11
 Priority: optional
-Maintainer: David N. Welton <davidw@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.5.6.0
 
 Package: xmem

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 build:
 	$(checkdir)
+	for i in debian/patches/*.diff; do \
+		patch -r debian/devullnull -N -p1 <$$i || true; \
+	done
+	rm -f debian/devull
 	$(MAKE) CFLAGS="-O2 -g -Wall"
 	touch build
 
@@ -15,6 +19,11 @@
 	-$(MAKE) clean
 	-rm -f `find . -name "*~"`
 	-rm -rf debian/tmp debian/files* core debian/substvars
+
+	for i in debian/patches/*.diff; do \
+		patch -R -r debian/devnull -N -p1 <$$i || true; \
+	done
+	rm -f debian/devnull 
 
 binary-indep: checkroot build
 	$(checkdir)

## xmem 1.20-25

=== debian/changelog ===
xmem (1.20-25) unstable; urgency=low

  * New email address.

 -- Daniel Baumann <daniel@debian.org>  Thu,  6 Jul 2006 11:42:00 +0200

xmem (1.20-24) unstable; urgency=low

  * Added lintian override.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Mon, 26 Jun 2006 11:43:00 +0200

xmem (1.20-23) unstable; urgency=low

  * Changed Build-Depend on libxaw8-dev to libxaw7-dev as requested by the
    X-Strike Force.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Tue, 28 Mar 2006 13:41:00 +0100

xmem (1.20-22) unstable; urgency=low

  * New maintainer (Closes: #348424).
  * Addapted debian/* to my own package style :)
  * Fixed wrong install calls in Makefile.
  * Reformated manpage.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Sun, 22 Jan 2006 14:26:00 +0100

xmem (1.20-21) unstable; urgency=low

  * QA upload.
  * debian/control: Add build-dep on libxaw8-dev to fix FTBFS. (Closes:
    #346825)

  * Housekeeping:
    + Moved binary to /usr/bin/xmem
    + debian/menu: Quoted all strings
    + Updated build stuff to debhelper 5 (rewrote debian/rules)
    + Updated Standards-Version to 3.6.2

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 19 Jan 2006 17:05:41 +0100

=== debian/control ===
Source: xmem
Section: x11
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 4.0), libproc-dev, libxaw7-dev, libxmu-dev, libxt-dev
Standards-Version: 3.7.2

Package: xmem
Architecture: any
Depends: ${shlibs:Depends}
Description: Visual indicator of amount of memory/swap usage
 The xmem program, which gives a visual representation of memory usage.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	# Building package
	$(MAKE) CFLAGS="$(CFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Cleaning package
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xmem

	# Installing lintian overrides
	for LINTIAN in debian/lintian/*; \
	do \
		install -D -m 644 $$LINTIAN debian/`basename $$LINTIAN `/usr/share/lintian/overrides/`basename $$LINTIAN` || exit 1; \
	done

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## xmem 1.20-27

=== Makefile ===
xmem: xmem.o get_mem.o MemStripChart.o
	gcc $(CFLAGS) -o xmem xmem.o get_mem.o MemStripChart.o -L/usr/X11R6/lib -lX11 -lXt -lXaw -lproc 

xmem.o: xmem.c
	gcc $(CFLAGS) -c xmem.c

get_mem.o: get_mem.c
	gcc $(CFLAGS) -c get_mem.c

MemStripChart.o: MemStripChart.c
	gcc $(CFLAGS) -c MemStripChart.c

clean:
	-rm xmem *.o

install: xmem
	install -d -m 755 $(DESTDIR)/usr/bin/
	install -d -m 755 $(DESTDIR)/etc/X11/app-defaults/
	install -m 755 xmem $(DESTDIR)/usr/bin/
	install -m 644 XMem.ad $(DESTDIR)/etc/X11/app-defaults/XMem

=== debian/changelog ===
xmem (1.20-27) unstable; urgency=low

  * Adopting package (Closes: #391376).
  * Updated manpage with commandline options and Xresources.

 -- Michelle Konzack <linux4michelle@freenet.de>  Fri, 06 Apr 2007 15:09:18 +0200

xmem (1.20-26) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Jan 2007 11:14:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -39,18 +39,12 @@
 	# Installing package
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/xmem
 
-	# Installing lintian overrides
-	for LINTIAN in debian/lintian/*; \
-	do \
-		install -D -m 644 $$LINTIAN debian/`basename $$LINTIAN `/usr/share/lintian/overrides/`basename $$LINTIAN` || exit 1; \
-	done
-
 binary-indep: build install
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs
 	dh_install
 	dh_installmenu

## xmem 1.20-27ubuntu1

=== debian/changelog ===
xmem (1.20-27ubuntu1) oneiric; urgency=low

  * Makefile: Add Xmu library linker to fix FTBFS with ld --no-add-needed.
    (LP: #756017)

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Thu, 30 Jun 2011 00:33:22 +0700

=== debian/control ===
Source: xmem
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michelle Konzack <linux4michelle@freenet.de>
Build-Depends: debhelper (>= 5), libproc-dev, libxaw7-dev, libxmu-dev, libxt-dev
Standards-Version: 3.7.2

Package: xmem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Visual indicator of amount of memory/swap usage
 The xmem program, which gives a visual representation of memory usage.

## xmem 1.20-27.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 xmem: xmem.o get_mem.o MemStripChart.o
-	gcc $(CFLAGS) -o xmem xmem.o get_mem.o MemStripChart.o -L/usr/X11R6/lib -lX11 -lXt -lXaw -lproc 
+	gcc $(CFLAGS) -o xmem xmem.o get_mem.o MemStripChart.o -L/usr/X11R6/lib -lX11 -lXt -lXaw -lproc -lXmu 
 
 xmem.o: xmem.c
 	gcc $(CFLAGS) -c xmem.c

=== debian/changelog ===
xmem (1.20-27.1) unstable; urgency=low

  * Non-maintainer upload.
  * Copied 1.20-27ubuntu1 from Ubuntu.  Fixes FTBFS.  Closes: #556712.

 -- Bart Martens <bartm@debian.org>  Sun, 25 Sep 2011 18:00:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xmem
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michelle Konzack <linux4michelle@freenet.de>
+Maintainer: Michelle Konzack <linux4michelle@freenet.de>
 Build-Depends: debhelper (>= 5), libproc-dev, libxaw7-dev, libxmu-dev, libxt-dev
 Standards-Version: 3.7.2

## xmem 1.20-27.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 xmem: xmem.o get_mem.o MemStripChart.o
-	gcc $(CFLAGS) -o xmem xmem.o get_mem.o MemStripChart.o -L/usr/X11R6/lib -lX11 -lXt -lXaw -lproc -lXmu 
+	gcc $(CFLAGS) -o xmem xmem.o get_mem.o MemStripChart.o -L/usr/X11R6/lib -lX11 -lXt -lXaw -lprocps -lXmu 
 
 xmem.o: xmem.c
 	gcc $(CFLAGS) -c xmem.c

=== debian/changelog ===
xmem (1.20-27.2) unstable; urgency=high

  * Non-maintainer upload.
  * Catch up with procps changes:
    - Replace libproc-dev build-dep with libprocps0-dev (Closes: #659596).
    - Link against procps, rather than with proc (Closes: #652171).
  * Set urgency to “high” for the RC bug fixes.
  * Thanks to IRILL for sponsoring this BSP in Paris.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 17 Feb 2012 17:36:28 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Michelle Konzack <linux4michelle@freenet.de>
-Build-Depends: debhelper (>= 5), libproc-dev, libxaw7-dev, libxmu-dev, libxt-dev
+Build-Depends: debhelper (>= 5), libprocps0-dev, libxaw7-dev, libxmu-dev, libxt-dev
 Standards-Version: 3.7.2
 
 Package: xmem

## xmem 1.20-27.2ubuntu1

=== debian/changelog ===
xmem (1.20-27.2ubuntu1) trusty; urgency=low

  * Transition from libprocps0 to libprocps1.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 21 Oct 2013 16:52:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xmem
 Section: x11
 Priority: optional
-Maintainer: Michelle Konzack <linux4michelle@freenet.de>
-Build-Depends: debhelper (>= 5), libprocps0-dev, libxaw7-dev, libxmu-dev, libxt-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michelle Konzack <linux4michelle@freenet.de>
+Build-Depends: debhelper (>= 5), libprocps1-dev, libxaw7-dev, libxmu-dev, libxt-dev
 Standards-Version: 3.7.2
 
 Package: xmem
